import { RefractorElement } from 'refractor';
import { Node, Parent } from 'unist-util-visit';
import { VisitorResult } from 'unist-util-visit';
export { VisitorResult } from 'unist-util-visit';
export declare type Visitor = (node: Node, index: number | null, parent: Parent | null) => VisitorResult;
export declare type Children = Array<RefractorElement | Text>;
export declare type MdxPrismOptions = {
    /**
     * If true it won't throw an error if the language is not supported.
     */
    ignoreMissing?: true;
    lineHighlight?: {
        /**
         * Component to use to wrap the highlighted code.
         * @example 'div' | 'pre' | 'p' | 'span'
         * @default div
         */
        component?: keyof HTMLElementTagNameMap;
        /**
         * css class to apply to the highlighted code.
         * @default mdx-marker
         */
        className?: string;
    };
};
export declare type Hash = {
    [key: string]: any;
};
export interface NodeWithProperties extends Node {
    properties: Hash;
    tagName: string;
}
export interface ParentWithProperties extends NodeWithProperties {
    children: (NodeWithProperties | Children)[];
}
export declare type MdxPrism2Visit = (tree: NodeWithProperties) => void;
export declare type ClassNames = string[];
export declare type ClassInformation = {
    originalClassName: string;
    language: string;
    languageClassName: string;
    markers: number[] | undefined;
};
